Package com.appliedolap.essbase
Class EssApiException
java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.appliedolap.essbase.EssApiException
- All Implemented Interfaces:
Serializable
- Direct Known Subclasses:
DrillthroughColumnMismatchException,NoSuchEssbaseObjectException
A general, unchecked exception that we can be used to wrap the
ApiException checked exceptions that are all
over the generated client code. This class will try and inspect the original exception in order to come up with the
best and most informative error message possible, namely by extracting the errorMessage key from the
response body in the original exception, if any.- See Also:
-
Constructor Summary
Constructors -
Method Summary
Methods inherited from class java.lang.Throwable
addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString
-
Constructor Details
-
EssApiException
-
EssApiException
-
-
Method Details
-
getBestMessage
-
extractMessage
-